Warning: include_once() [function.include-once]: URL file-access is disabled in the server configuration in /home/lunabeanftp/public_html/news/20051013_psp_updates_to.php on line 20

Warning: include_once(http://www.lunabean.com/includes/header_index_test.html) [function.include-once]: failed to open stream: no suitable wrapper could be found in /home/lunabeanftp/public_html/news/20051013_psp_updates_to.php on line 20

Warning: include_once() [function.include]: Failed opening 'http://www.lunabean.com/includes/header_index_test.html' for inclusion (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/lunabeanftp/public_html/news/20051013_psp_updates_to.php on line 20

PSP Updates to Version 2.5

Filed under: PSP
Posted by Allison on October 13, 2005 11:05 AM
|

Sony Computer Entertainment has released a software update/patch for the Sony PSP, bringing the system up to version 2.5. GamesIndustry.biz claims the greatest addition to the update is the "support for copyright-protected video content", while Gamespot has a Sony Press Release which touts the Location Free Player as the greatest addition.

Continue Article ↓




Since the Location Free Player will allow PSP owners to "watch TV and play back video recordings through the Internet using the handheld's wireless LAN connection and one of Sony's Location Free TV Base Stations", I'm calling it the winner in this update. Does this mean the copyright-protected video content is the loser? Nah. The loser seems to be anyone who wanted to take advantage of the v2.0 flaw which allowed gamers to downgrade to v1.5, thus allowing them to use emulators and pirated software on their PSPs.

Read Gamespot's Press Release for more update information.









Latest News



Looking for LB walkthroughs?
LB Video Game Walkthroughs and Strategy Guides



Warning: include_once() [function.include-once]: URL file-access is disabled in the server configuration in /home/lunabeanftp/public_html/news/20051013_psp_updates_to.php on line 130

Warning: include_once(http://www.lunabean.com/includes/footer_no.html) [function.include-once]: failed to open stream: no suitable wrapper could be found in /home/lunabeanftp/public_html/news/20051013_psp_updates_to.php on line 130

Warning: include_once() [function.include]: Failed opening 'http://www.lunabean.com/includes/footer_no.html' for inclusion (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/lunabeanftp/public_html/news/20051013_psp_updates_to.php on line 130